(function($) {

	"use strict";

	$(window).load(function() {
        setTimeout(function() {
			$(".product-item__thumbnail-placeholder.second_image_enabled").addClass("second_image_loaded");
        }, 300);
	});

	// =============================================================================
	// Shop Archive Buttons Click States
	// =============================================================================

	// Wishlist

	$(document).on('click', '.product-item__description--actions .add_to_wishlist',  function(e) {
		var this_button = $(this);
		this_button.addClass('clicked');
		this_button.parents('.product-item').addClass('adding');
		setTimeout(function() {
        	this_button.addClass('loading');
        }, 400);
		$(document.body).on('added_to_wishlist', function() {
			this_button.removeClass('loading');
			this_button.parents('.product-item').removeClass('adding');
			this_button.removeClass('add_to_wishlist').addClass('added');
			this_button.attr("href", this_button.data("wishlist-url"));
			this_button.children('.tooltip').text(this_button.data("browse-wishlist-text"));
		});
	});


	// Quick View

	$(document).on('click', '.product-item__description .nova_product_quick_view_btn',  function() {
		var this_button = $(this);
		$.LoadingOverlay("show", {
		    image       : '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><title>circle</title><g stroke-linecap="square" stroke-linejoin="miter" stroke-width="1" transform="translate(0.5 0.5)" fill="#111111" stroke="#111111"><path fill="none" stroke="#111111" stroke-miterlimit="10" d="M1.96,16.5C1.343,15.127,1,13.603,1,12 C1,5.925,5.925,1,12,1s11,4.925,11,11s-4.925,11-11,11c-2.651,0-5.082-0.938-6.982-2.499" stroke-linecap="butt"></path> </g></svg>',
				maxSize:	50
		});
		$(document.body).on('opened_product_quickview', function() {
					$.LoadingOverlay("hide");
		});
	});



	// Add to Cart

	$(document).on('click', '.product-item__description--actions .ajax_add_to_cart, .buttons .add_to_cart_button', function() {
		var this_button = $(this);
		this_button.addClass('clicked');
		this_button.parents('.product-item').addClass('adding');
		setTimeout(function() {
        	this_button.addClass('loading');
        }, 400);
		$(document.body).on('wc_cart_button_updated', function() {
			setTimeout(function(){
		  	this_button.removeClass('loading').removeClass('clicked');
			}, 500);
			this_button.parents('.product-item').removeClass('adding');
			if (this_button.siblings('.added_to_cart').length ) {
				var new_href = this_button.siblings('.added_to_cart').attr("href");
				var new_text = this_button.siblings('.added_to_cart').text();

				this_button.siblings('.added_to_cart').remove();
				this_button.attr("href", new_href);
				this_button.children('.tooltip').text(new_text);
				this_button.removeClass().addClass('button added wc-forward');
			}
		});
	});

})(jQuery);
